Update a donation

Partially updates donor fields, memo, designation, advisor, and (when the donation status is pledged) quantity, identifier, and source. The server also accepts PATCH with the same JSON body.

Path Parameters
  • id
    Type: string
    required
Body·UpdateDonationRequest
required
application/json

Partial update for a donation. quantity, identifier, and source may only be sent when the donation status is pledged. designation_id must refer to a designation on the donation's campaign when set. The server also accepts PATCH with the same JSON body.

  • advisor
    Type: object | null

    When present, links or creates an advisor (email required when providing an object). Use null to clear the advisor.

  • designation_id
    Type: string | null

    UUID of a campaign designation on this donation's campaign; omit or null to clear.

  • donor_address_line_1
    Type: string
  • donor_address_line_2
    Type: string
  • donor_city
    Type: string
  • donor_country
    Type: string · CountryCodeenum

    ISO 3166-1 alpha-2 country code

    values
    • ad
    • ae
    • af
    • ag
    • ai
  • donor_email
    Type: stringFormat: email
  • donor_first_name
    Type: string
  • donor_last_name
    Type: string
  • donor_postal_code
    Type: string
  • donor_province
    Type: string
  • identifier
    Type: string

Partial update for a donation. quantity, identifier, and source may only be sent when the donation status is pledged. designation_id must refer to a designation on the donation's campaign when set. The server also accepts PATCH with the same JSON body.

Responses
  • application/json
  • application/json
  • 401

    Unauthorized

  • 403

    Forbidden

  • application/json
Request Example for put/v1/donations/{id}
curl 'https://api.infinitegiving.com/v1/donations/{id}' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "donor_first_name": "Iggy",
  "donor_last_name": "Stardust",
  "donor_email": "iggy@example.com",
  "donor_address_line_1": "123 Generosity Lane",
  "donor_address_line_2": "",
  "donor_city": "",
  "donor_province": "",
  "donor_postal_code": "",
  "donor_country": "ad",
  "designation_id": null,
  "memo": "",
  "quantity": 1,
  "source": "",
  "identifier": "",
  "advisor": {
    "email": "",
    "first_name": "",
    "middle_name": "",
    "last_name": "",
    "title": "",
    "bio": "",
    "sec_url": "",
    "firm_name": ""
  }
}'
{
"data": {
"id": "cmm4uj7wf00013b6sbb8fz4oq",
"donor_first_name": "Iggy",
"donor_last_name": "Stardust",
"donor_email": "iggy@gmail.com",
"donor_address_line_1": "123 Generosity Lane",
"donor_address_line_2": "Flat 21",
"donor_city": "Anytown",
"donor_province": "GA",